Eclipse gera erro para jquery e outros .js

Olá pessoal,

Na dúvida baixei tudo de novo, eclipse EE mais atual e jquery tbm mais atual, mas quando eu crio a pasta js dentro do webContent e coloco o .js lá recebo o seguinte erro da imagem em anexo.

Acho impossível o jquery estar com tantos erros assim, eu devo estar fazendo algo errado !!!

Obrigado


Na verdade, não tem problema algum.
A questão é que o validador de javascript do Eclipse segue o padrão W3C e o JQuery não.
Assim sendo, o eclipse irá indicar erro, mas o funcionamento do JQuery será o mesmo

ok, muito obrigado pela resposta.

sabe alguma maneira de não mostrar esses erros ?

eles atrapalham para saber se fiz algum codigo errado.

Deve existir algo nas configurações, lá em window > properties.

Só não me lembro onde.